"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var stringUtils = require("../util/strings");
var SassImplementation_1 = require("../util/SassImplementation");
var version = function (eyeglass, sass) {
    return {
        "eyeglass-version($module: eyeglass)": function ($module) {
            if (!SassImplementation_1.isSassString(sass, $module)) {
                return SassImplementation_1.typeError(sass, "string", $module);
            }
            var name = stringUtils.unquoteJS(sass, $module);
            var mod = eyeglass.modules.find(name);
            if (mod) {
                return sass.types.String(mod.version || "unversioned");
            }
            else {
                return sass.types.Null();
            }
        }
    };
};
exports.default = version;
//# sourceMappingURL=version.js.map