import { ImporterReturnType, AsyncImporter, AsyncContext } from "node-sass";
import { IEyeglass } from "../IEyeglass";
import { SassImplementation } from "../util/SassImplementation";
import { Config } from "../util/Options";
import { Dict } from "../util/typescriptUtils";
import { ImportedFile } from "./ImporterFactory";
declare type ImportContext = AsyncContext & {
    eyeglass: {
        imported: Dict<boolean>;
    };
};
export default class ImportUtilities {
    root: string;
    eyeglass: IEyeglass;
    sass: SassImplementation;
    fallbackImporter: AsyncImporter | Array<AsyncImporter> | undefined;
    options: Config;
    context: ImportContext;
    constructor(eyeglass: IEyeglass, sass: SassImplementation, options: Config, fallbackImporter: AsyncImporter | Array<AsyncImporter> | undefined, context: AsyncContext);
    static createImporter(name: string, importer: AsyncImporter): AsyncImporter;
    importOnce(data: {
        file: string;
        contents: string;
    }, done: (data: ImportedFile) => void): void;
    fallback(uri: string, prev: string, done: (result: ImporterReturnType) => void, noFallback: (this: ImportContext) => void): void;
    fallbackNth(uri: string, prev: string, index: number, done: (result: ImporterReturnType) => void, noFallback: (this: ImportContext) => void): void;
}
export {};
//# sourceMappingURL=ImportUtilities.d.ts.map